# DMMGGetDM

Gets the DM object on the finest level

### Synopsis

    DM DMMGGetDM(DMMG *dmmg)

Not Collective

### Input Parameter

dmmg -DMMG solve context

### See Also

DMMGCreate(), DMMGSetUser(), DMMGGetJ(), KSPGetKSP()

Level:intermediate
Location: src/snes/utils/../../../include/petscdmmg.h
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex34f90.F.html
src/snes/examples/tutorials/ex35f90.F90.html
src/snes/examples/tutorials/ex36f90.F90.html
src/snes/examples/tutorials/ex37f90.F90.html